# Example OTP
นี้เป็นอย่างตัวการส่ง OTP ด้วย API 


### Requirement:
- คุณต้องเป็นสมาชิกของ ThaibulkSMS ก่อน จึงจะส่ง OTP ได้ [สมาชิก ThaibulkSMS](https://account.thaibulksms.com/register/)
- สร้าง Key กับ Secret ได้ที่ [ThaibulkSMS OTP Console](https://otp-manager.thaibulksms.com/login)
- ขั้นการสร้าง Key กับ Secret เพื่อนําไปใช้กับ API สําหรับส่ง SMS OTP ศึกษาได้จากลิงค์นี้ [เรียนรู้เพิ่มเติม](https://assets.thaibulksms.com/documents/Thaibulksms-otp.pdf)


## วิธีตั้งค่า
สร้างไฟล์ .env ก่อน
```dosini
API_KEY=
API_SECRET=
```
ทำการลง package ก่อน
```
npm install
```
Run app
```
npm run start

Example app listening at http://localhost:3000
```

## วิธีทดสอบ
ส่งรหัส otp ไปยังหมายเลขโทรศัพท์ปลายทาง

```bash

curl \
-H 'Content-Type: application/x-www-form-urlencoded' \
-X POST \
--data-urlencode 'phone_number=+668xxxxxxxx' \
http://localhost:3000/request-otp


# phone_number สามารถส่งได้ทั้งรูปแบบ +668xxxxxxxx หรือ 08xxxxxxxx

# Response {"status":"success","token":"VA41Qyxz72P69Y3u1fxWvDqaobLYg8"}

```


ตรวจสอบรหัส otp ที่ได้จากข้อความ SMS 
```bash

curl \
-H 'Content-Type: application/x-www-form-urlencoded' \
-X POST \
--data-urlencode 'token=VA41Qyxz72P69Y3u1fxWvDqaobLYg8' \
--data-urlencode 'otp_code=0905xx' \
http://localhost:3000/verify-otp

#Response {"status":"success","message":"Code is correct."}

```